[ATrpms-users] FC6 yum update doesn't update nvidia-graphics kmdl

David Asher david.asher at caviumnetworks.com
Mon Mar 19 20:59:17 CET 2007


It looks like that will work, but there isn't a nvidia-graphics9746 any 
longer, so I won't be able to test until the next time the situation 
occurs (both nvidia-graphics and kernel updates needed at the same time).

"yum install nvidia-graphics" wants to install the 9755 kmdl.

Thanks!

David.

Axel Thimm wrote:
> On Mon, Mar 19, 2007 at 11:07:08AM -0400, David Asher wrote:
>   
>> I have yum-plugin-kmdl istalled, and when I do "yum update", the 
>> nvidia-graphics kmdl isn't being updated.
>>
>> My hunch it that it is because it wants to update the nvidia graphics to 
>> 9755 and my current kmdl is 9746, so it doesn't see it needs the 9755 
>> kmdl for the new kernel?
>>
>> Is there a way to fix this so it recognizes the need for an 
>> nvidia-graphics kmdl in this case?
>>     
>
> I think you haven't installed nvidia-graphics (w/o any further digits
> in the name). That is the package that picks the latest kmdl after it
> has been tested.
>
>   
>> Anything else I can provide to help figure it out?
>>     
>
> rpm -q nvidia-graphics
>
> If that doesn't exist, then please try
>
> yum install nvidia-graphics
> yum update
>
> and see whether the issue has been solved.
>
>   
>> David.
>>
>> # rpm -qa \*kmdl\*
>> alsa-kmdl-2.6.19-1.2911.6.5.fc6-1.0.14-58_rc3.fc6.at
>> lirc-kmdl-2.6.19-1.2911.6.5.fc6-0.8.2-66_cvs20070301.fc6.at
>> nvidia-graphics9746-kmdl-2.6.19-1.2911.6.5.fc6-1.0_9746-85.fc6.at
>> #
>>
>> # yum update
>> ...blah...blah...blah...
>> Resolving Dependencies
>> --> Populating transaction set with selected packages. Please wait.
>> ---> Package mkinitrd.i386 0:5.1.19.0.3-1 set to be updated
>> ---> Package evolution-data-server.i386 0:1.8.3-3.fc6 set to be updated
>> ---> Package kernel-devel.i686 0:2.6.20-1.2925.fc6 set to be installed
>> ---> Package libfusion-0.9_25.i386 0:0.9.25.1-13.fc6.at set to be updated
>> ---> Package firefox.i386 0:1.5.0.10-5.fc6 set to be updated
>> ---> Package dhcdbd.i386 0:2.1-2.fc6 set to be updated
>> ---> Package nvidia-graphics-devel.i386 2:1.0.9755-18.at set to be updated
>> ---> Package ntp.i386 0:4.2.4p0-1.fc6 set to be updated
>> ---> Package kernel.i686 0:2.6.20-1.2925.fc6 set to be installed
>> ---> Package selinux-policy.noarch 0:2.4.6-42.fc6 set to be updated
>> ---> Package directfb.i386 0:1.0.0-14.fc6.at set to be updated
>> ---> Package nash.i386 0:5.1.19.0.3-1 set to be updated
>> ---> Package autofs.i386 1:5.0.1-0.rc3.26 set to be updated
>> ---> Package libmpeg2convert0.i386 0:0.4.1-3.fc6.at set to be updated
>> ---> Package tcpdump.i386 14:3.9.4-10.fc6 set to be updated
>> ---> Package kernel-headers.i386 0:2.6.20-1.2925.fc6 set to be updated
>> ---> Package selinux-policy-targeted.noarch 0:2.4.6-42.fc6 set to be updated
>> ---> Package libdirect-0.9_25.i386 0:0.9.25.1-13.fc6.at set to be updated
>> ---> Downloading header for perl-WWW-Mechanize to pack into transaction set.
>> perl-WWW-Mechanize-1.22-2 100% |=========================| 6.2 kB    
>> 00:00    
>> ---> Package perl-WWW-Mechanize.noarch 0:1.22-2.fc6 set to be updated
>> ---> Package libmpeg2_0.i386 0:0.4.1-3.fc6.at set to be updated
>> ---> Package libpcap.i386 14:0.9.4-10.fc6 set to be updated
>> ---> Package net-snmp-libs.i386 1:5.3.1-13.fc6 set to be updated
>> ---> Package gnupg.i386 0:1.4.7-2 set to be updated
>> --> Running transaction check
>> --> Processing Dependency: libdirectfb-1.0.so.0 for package: directfb
>> --> Processing Dependency: libdirectfb-0.9.so.25 for package: mplayer
>> --> Processing Dependency: nvidia-graphics9755-devel for package: 
>> nvidia-graphics-devel
>> --> Processing Dependency: libdirect-1.0.so.0 for package: directfb
>> --> Processing Dependency: libfusion-1.0.so.0 for package: directfb
>> --> Restarting Dependency Resolution with new changes.
>> --> Populating transaction set with selected packages. Please wait.
>> ---> Package libdirectfb-0.9_25.i386 0:0.9.25.1-13.fc6.at set to be updated
>> ---> Package nvidia-graphics9755-devel.i386 1:1.0_9755-86.fc6.at set to 
>> be updated
>> ---> Package libdirect-1.0_0.i386 0:1.0.0-14.fc6.at set to be updated
>> ---> Package libfusion-1.0_0.i386 0:1.0.0-14.fc6.at set to be updated
>> ---> Package libdirectfb-1.0_0.i386 0:1.0.0-14.fc6.at set to be updated
>> --> Running transaction check
>> --> Processing Dependency: nvidia-graphics9755-libs = 
>> 1:1.0_9755-86.fc6.at for package: nvidia-graphics9755-devel
>> --> Restarting Dependency Resolution with new changes.
>> --> Populating transaction set with selected packages. Please wait.
>> ---> Package nvidia-graphics9755-libs.i386 1:1.0_9755-86.fc6.at set to 
>> be updated
>> --> Running transaction check
>> ---> Package lirc-kmdl-2.6.20-1.2925.fc6.i686 
>> 0:0.8.2-66_cvs20070301.fc6.at set to be installed
>> ---> Package alsa-kmdl-2.6.20-1.2925.fc6.i686 0:1.0.14-58_rc3.fc6.at set 
>> to be installed
>> --> Populating transaction set with selected packages. Please wait.
>> ---> Package alsa-kmdl-2.6.20-1.2925.fc6.i686 0:1.0.14-58_rc3.fc6.at set 
>> to be updated
>> ---> Package lirc-kmdl-2.6.20-1.2925.fc6.i686 
>> 0:0.8.2-66_cvs20070301.fc6.at set to be updated
>> --> Running transaction check
>>
>> Dependencies Resolved
>>
>> =============================================================================
>>  Package                 Arch       Version          Repository        Size
>> =============================================================================
>> Installing:
>>  alsa-kmdl-2.6.20-1.2925.fc6  i686       1.0.14-58_rc3.fc6.at  
>> atrpms            1.5 M
>>  kernel                  i686       2.6.20-1.2925.fc6  
>> updates            16 M
>>  kernel-devel            i686       2.6.20-1.2925.fc6  updates           
>> 4.7 M
>>  lirc-kmdl-2.6.20-1.2925.fc6  i686       0.8.2-66_cvs20070301.fc6.at  
>> atrpms             79 k
>>  nvidia-graphics-devel   i386       2:1.0.9755-18.at  atrpms            
>> 3.5 k
>>      replacing  nvidia-graphics9746-devel.i386 1:1.0_9746-85.fc6.at
>>
>> Updating:
>>  autofs                  i386       1:5.0.1-0.rc3.26  updates           
>> 774 k
>>  dhcdbd                  i386       2.1-2.fc6        updates            58 k
>>  directfb                i386       1.0.0-14.fc6.at  atrpms            1.7 M
>>  evolution-data-server   i386       1.8.3-3.fc6      updates           3.4 M
>>  firefox                 i386       1.5.0.10-5.fc6   updates            18 M
>>  gnupg                   i386       1.4.7-2          updates           1.9 M
>>  kernel-headers          i386       2.6.20-1.2925.fc6  updates           
>> 656 k
>>  libdirect-0.9_25        i386       0.9.25.1-13.fc6.at  
>> atrpms             32 k
>>  libfusion-0.9_25        i386       0.9.25.1-13.fc6.at  
>> atrpms             14 k
>>  libmpeg2_0              i386       0.4.1-3.fc6.at   atrpms             48 k
>>  libmpeg2convert0        i386       0.4.1-3.fc6.at   atrpms             13 k
>>  libpcap                 i386       14:0.9.4-10.fc6  updates            95 k
>>  mkinitrd                i386       5.1.19.0.3-1     updates           412 k
>>  nash                    i386       5.1.19.0.3-1     updates           1.1 M
>>  net-snmp-libs           i386       1:5.3.1-13.fc6   updates           1.1 M
>>  ntp                     i386       4.2.4p0-1.fc6    updates           1.4 M
>>  perl-WWW-Mechanize      noarch     1.22-2.fc6       extras            132 k
>>  selinux-policy          noarch     2.4.6-42.fc6     updates           350 k
>>  selinux-policy-targeted  noarch     2.4.6-42.fc6     updates           
>> 781 k
>>  tcpdump                 i386       14:3.9.4-10.fc6  updates           443 k
>> Installing for dependencies:
>>  libdirect-1.0_0         i386       1.0.0-14.fc6.at  atrpms             38 k
>>  libdirectfb-0.9_25      i386       0.9.25.1-13.fc6.at  
>> atrpms            162 k
>>  libdirectfb-1.0_0       i386       1.0.0-14.fc6.at  atrpms            181 k
>>  libfusion-1.0_0         i386       1.0.0-14.fc6.at  atrpms             17 k
>>  nvidia-graphics9755-devel  i386       1:1.0_9755-86.fc6.at  
>> atrpms            132 k
>>  nvidia-graphics9755-libs  i386       1:1.0_9755-86.fc6.at  
>> atrpms            3.1 M
>>
>> Transaction Summary
>> =============================================================================
>> Install     11 Package(s)         
>> Update      20 Package(s)         
>> Remove       0 Package(s)         
>>
>> Total download size: 58 M
>> Is this ok [y/N]: n
>>
>>
>> _______________________________________________
>> atrpms-users mailing list
>> atrpms-users at atrpms.net
>> http://lists.atrpms.net/mailman/listinfo/atrpms-users
>>     
>
>   



More information about the atrpms-users mailing list